/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

package android.os.statsd.devicelogs;

import "frameworks/proto_logging/stats/atom_field_options.proto";

option java_package = "com.android.os.devicelogs";
option java_multiple_files = true;

/**
 * Logs for device log access events
 *
 * Logged from SystemUI
 */
message DeviceLogAccessEventReported {
  enum Event {
    UNKNOWN = 0;
    ALLOWED = 1;
    DENIED = 2;
  }

  optional int32 uid = 1 [(is_uid) = true];

  optional Event event = 2;

  optional int64 time_running_ms = 3;
}